Author Topic: cron uses different php version  (Read 111 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
cron uses different php version
« on: May 24, 2021, 12:09:24 PM »
I use CWP Pro (CWPpro version: 0.9.8.1064)

I have edited php.ini version for PHP-FPM 7.3.28

User account's use the correct version.

But now it seems that cwp and also cron uses the old version from PHP Version Switcher which was used before the upgrade to cwppro.

Is it intended that after upgrade and activating PHP-FPM 2 different php versions are used?

The problem i run into is.

When a user is using cron then cron is being run with different php.ini settings.

When using USE_PHP=/usr/local/bin/php inside the file that is executed by cron then the settings are being used from the cwp php.ini configuration.
When i try to set it as;
/opt/alt/php-fpm73/usr/php/php.ini then i get file permission errors.

Since i rather don't change those file permissions i would like to ask what would be the best way togo?

I could maintain 2 versions but that seems a little odd

extra info:

I need cron to be able to use the opcache module that comes with fpm....

PHP Version switcher doesn't seem to have those options
« Last Edit: May 24, 2021, 12:18:59 PM by JeroenL »